# -*- coding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2010 Nexedi SA and Contributors. All Rights Reserved.
# Copyright (c) 2006-2008 Zope Corporation and Contributors.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################

from zc.recipe.cmmi import Recipe as OriginalRecipe, system

class Recipe(OriginalRecipe):
  def cmmi(self, dest):
    configure_options = self.configure_options
    run_configure = self.options.get('run-configure', 'true').lower()

    make_options = self.options.get('make-options', None)
    run_make = self.options.get('run-make', 'true').lower()

    make_install_options = self.options.get('make-install-options', None)
    run_make_install = self.options.get('run-make', 'true').lower()
    make_install_destination_parameter = self.options.get(
        'make-install-destination-parameter', None)

    if run_configure == 'true':
      if configure_options is None:
          configure_options = '--prefix=%s' % dest
      if self.extra_options:
          configure_options += ' %s' % self.extra_options
      system("%s %s" % (self.configure_cmd, configure_options))

    if run_make == 'true':
      make_command = "make"
      if make_options is not None:
        make_command += " " + make_options
      system(make_command)
    if run_make_install == 'true':
      make_install_command = "make install"
      if make_install_options is not None:
        make_install_command += " " + make_install_options
      if make_install_destination_parameter is not None:
        make_install_command += " " + make_install_destination_parameter + dest
      system(make_install_command)
